const ReservationCtrl = require('../controllers/reservation');

const reservationRoutes = (router) => {
    const reservationCtrl = new ReservationCtrl();

    // ReservationController
    router.route('/reservation/login').post(reservationCtrl.login);
    router.route('/reservation/getIncludedLuggage').post(reservationCtrl.getIncludedLuggage);
    router.route('/reservation/getCart').post(reservationCtrl.getCart);
    router.route('/reservation/deleteCart').post(reservationCtrl.deleteCart);
    router.route('/reservation/confirmCart').post(reservationCtrl.confirmCart);
    router.route('/reservation/confirmCartPayment').post(reservationCtrl.confirmCartPayment);
    router.route('/reservation/resetCart').post(reservationCtrl.resetCart);
    router.route('/reservation/passengerCancelation').post(reservationCtrl.passengerCancelation);
    router.route('/reservation/removeLuggage').post(reservationCtrl.removeLuggage);
}

module.exports = reservationRoutes;
